Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Class CursorableLinkedList.Cursor

    java.lang.Object
      |
      +--org.apache.commons.collections.CursorableLinkedList.ListIter
            |
            +--org.apache.commons.collections.CursorableLinkedList.Cursor

All Implemented Interfaces:
  Iterator, ListIterator

Enclosing class:
  CursorableLinkedList

public class CursorableLinkedList.Cursor
extends org.apache.commons.collections.CursorableLinkedList.ListIter
implements ListIterator

Method Summary
`void` | `add(Object o)`
`protected void` | `checkForComod()`
`void` | `close()` Mark this cursor as no longer being needed.
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`protected void` | `invalidate()`
`protected void` | `listableChanged(org.apache.commons.collections.CursorableLinkedList.Listable elt)`
`protected void` | `listableInserted(org.apache.commons.collections.CursorableLinkedList.Listable elt)`
`protected void` | `listableRemoved(org.apache.commons.collections.CursorableLinkedList.Listable elt)`
`Object` | `next()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, hasPrevious, next, previous, remove, set`

Method Detail

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator`
  Overrides:
    `previousIndex` in class `org.apache.commons.collections.CursorableLinkedList.ListIter`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator`
  Overrides:
    `nextIndex` in class `org.apache.commons.collections.CursorableLinkedList.ListIter`

### add

    public void add(Object o)

  Specified by:
    `add` in interface `ListIterator`
  Overrides:
    `add` in class `org.apache.commons.collections.CursorableLinkedList.ListIter`

### listableRemoved

    protected void listableRemoved(org.apache.commons.collections.CursorableLinkedList.Listable elt)

### listableInserted

    protected void listableInserted(org.apache.commons.collections.CursorableLinkedList.Listable elt)

### listableChanged

    protected void listableChanged(org.apache.commons.collections.CursorableLinkedList.Listable elt)

### checkForComod

    protected void checkForComod()

  Overrides:
    `checkForComod` in class `org.apache.commons.collections.CursorableLinkedList.ListIter`

### invalidate

    protected void invalidate()

### close

    public void close()

  Mark this cursor as no longer being needed. Any resources associated with this cursor are immediately released. In previous versions of this class, it was mandatory to close all cursor objects to avoid memory leaks. It is no longer necessary to call this close method; an instance of this class can now be treated exactly like a normal iterator.

### previous

    public Object previous()

  Specified by:
    `previous` in interface `ListIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `ListIterator`

### next

    public Object next()

  Specified by:
    `next` in interface `ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator`

### set

    public void set(Object o)

  Specified by:
    `set` in interface `ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `ListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.